package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 招投标管理-保证金收款确认表
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
@TableName("bidding_bond_collection_confirmation")
public class BiddingBondCollectionConfirmation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 招投标管理基本信息表Id
     */
    @TableField("bidding_basic_info_id")
    private Long biddingBasicInfoId;

    /**
     * 保证金收款  1确认
     */
    @TableField("deposit_collection")
    private Integer depositCollection;

    /**
     * 说明
     */
    @TableField("comments")
    private String comments;

    /**
     * 保证金金额
     */
    @TableField(exist = false)
    private BigDecimal depositAmount;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public Long getBiddingBasicInfoId() {
        return biddingBasicInfoId;
    }

    public void setBiddingBasicInfoId(Long biddingBasicInfoId) {
        this.biddingBasicInfoId = biddingBasicInfoId;
    }

    public Integer getDepositCollection() {
        return depositCollection;
    }

    public void setDepositCollection(Integer depositCollection) {
        this.depositCollection = depositCollection;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public BigDecimal getDepositAmount() {
        return depositAmount;
    }

    public void setDepositAmount(BigDecimal depositAmount) {
        this.depositAmount = depositAmount;
    }

    @Override
    public String toString() {
        return "BiddingBondCollectionConfirmation{" +
                ", biddingBasicInfoId=" + biddingBasicInfoId +
                ", depositCollection=" + depositCollection +
                ", comments=" + comments +
                "}";
    }
}
